org.vertx.java.core.json

## Class JsonElement

- java.lang.Object
- - org.vertx.java.core.json.JsonElement

- Direct Known Subclasses:
    JsonArray, JsonObject

      public abstract class JsonElement
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JsonElement()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JsonArray` | `asArray()`
    `JsonObject` | `asObject()`
    `boolean` | `isArray()`
    `boolean` | `isObject()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JsonElement

          public JsonElement()

  - ### Method Detail

    - #### isArray

          public boolean isArray()

    - #### isObject

          public boolean isObject()

    - #### asArray

          public JsonArray asArray()

    - #### asObject

          public JsonObject asObject()